import '../../style/console.css';
import { JupyterFrontEndPlugin } from '@jupyterlab/application';
import { ILSPLogConsole, ILogConsoleCore } from '../tokens';
interface ILogConsoleImplementation extends ILogConsoleCore {
    dispose(): void;
    bindThis(): any;
}
/**
 * Used both as a console implementation, and as a dummy ILSPLogConsole
 */
export declare class BrowserConsole implements ILogConsoleImplementation, ILSPLogConsole {
    debug: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    log: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    warn: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    error: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    dispose(): void;
    scope(scope: string): BrowserConsole;
    bindThis(): any;
}
export declare const LOG_CONSOLE: JupyterFrontEndPlugin<ILSPLogConsole>;
export {};
